;File name:	TOS14FIX.S		Revision date:	1992.03.04
;Revised by:	Ulf Ronald Andersson	Dissassembled:	1992.03.04
;
	text

L0:
	xbios	Supexec,L78
	cmp.l	#$00FC0000,d0
	beq.b	L2A
	cmp.l	#$04061989,d0
	beq.b	L2A
	gemdos	Cconws,L2E(pc)
L2A:
	clr	(a7)
	trap	#1	;gemdos Pterm0
;
;
L2E:
	dc.b	$A,$D	;	dc.w	$A0D
	move.b	32(a0,d2.w),21089(a5)
	bvs.b	LA6
	dc.b	'bo'	;	dc.w	$626F
	dc.b	'w '	;	dc.w	$7720
	addq	#2,a7
	subq.b	#1,-(a0)
	moveq	#97,d0
	moveq	#99,d2
	dc.b	'he'	;	dc.w	$6865
	dc.b	's '	;	dc.w	$7320
	dc.b	'lo'	;	dc.w	$6C6F
	bsr.b	LB0
	bcs.b	LB2
	move.l	-(a0),d7
	move.l	(a3)+,d0
	dc.b	'q',$A	;	dc.w	$710A
	btst	d6,-(a0)
	dc.b	'Co'	;	dc.w	$436F
	moveq	#121,d0
	moveq	#105,d1
	beq.b	LC6
	moveq	#32,d2
	eor.b	d6,-(a0)
	move	$38392C20.l,-(a0)
	dc.b	'At'	;	dc.w	$4174
	bsr.b	LDE
	bvs.b	L8E
	dc.b	'Co'	;	dc.w	$436F
	moveq	#112,d1
	move.l	-(a0),d7
	dc.b	$A,$D	;	dc.w	$A0D
	dc.b	$0,$0	;	dc.w	$0
;
;
L78:
	move.l	(_sysbase).w,a0
	move.l	8(a0),a0
	move.l	#$FC0000,d0
	cmp.l	a0,d0
	beq.b	L8C
	rts
;
L8C:
	move.l	#$04061989,d0
	cmp.l	24(a0),d0
	beq.b	L9A
	rts
;
L9A:
	move.l	$600.w,d0
	cmp.l	#$BADC0DE,d0
	bne.b	LA8
LA6:
	rts
;
LA8:
	move.l	20(a0),a0
LAC:
	cmpi	#$4E75,-(a0)
LB0:
	bne.b	LAC
LB2:
	cmpi	#$4E5E,-(a0)
	bne.b	LAC
	addq	#4,a0
	lea	L246(pc),a1
	move.l	a0,(a1)
	tst.b	(ev_F_line).w
	bne.b	LD2
LC6:
	lea	L224(pc),a0
	move	#$4EF9,(a0)+
	move.l	(ev_F_line).w,(a0)
LD2:
	lea	L124(pc),a0
	lea	$600.w,a1
	move	#$16C,d0
LDE:
	lsr.w	#2,d0
LE0:
	move.l	(a0)+,(a1)+
	dbf	d0,LE0
	move	SR,-(a7)
	or	#$700,SR
	move.l	#$6F6,(ev_F_line).w
	move.l	$B8.w,$62C.l
	move.l	#$616,$B8.w
	move.l	(resvector).w,$5FC.w
	move.l	#$604,(resvector).w
	move.l	(resvalid).w,$5F8.w
	move.l	#$31415926,(resvalid).w
	move	(a7)+,SR
	rts
;
;
L124:
	bclr	d5,-16162(a5)
	clr.l	$600.w
	move.l	$5FC.w,(resvector).w
	move.l	$5F8.w,(resvalid).w
	jmp	(a6)
;
;
L13A:
	btst	#13,(a7)
	beq.b	L146
	lea	6(a7),a0
	bra.b	L148
;
L146:
	move	USP,a0
L148:
	cmpi	#$F,(a0)
	beq.b	L154
	jmp	$0.l
;
L154:
	cmpi	#$FFFE,2(a0)
	bne.b	L162
	move	$A6E.w,d0
	rts
;
;
L162:
	or	#$700,SR
	lea	$FFFFFA01.w,a1
	lea	L1F4(pc),a2
	movep.l	40(a1),d0
	move.l	d0,(a2)
	move	4(a0),d0
	cmp	#$3,d0
	bhi.b	L186
	bne.b	L182
	moveq	#1,d0
L182:
	move.b	d0,$C90.w
L186:
	tst	2(a0)
	bmi.b	L1C2
	moveq	#0,d0
	move.b	d0,42(a1)
	move.b	d0,44(a1)
L196:
	move	2(a0),d1
	move	d1,$A6E.w
	lea	L1FA(pc),a2
	move.b	0(a2,d1.w),d0
	lea	L20A(pc),a2
	move.b	0(a2,d1.w),d2
	move.l	d0,d1
	moveq	#3,d0
	jsr	$FC36AC.l
	moveq	#1,d0
	move.b	d0,42(a1)
	move.b	d0,44(a1)
L1C2:
	tst	6(a0)
	bmi.b	L1CE
	move.b	7(a0),40(a1)
L1CE:
	tst	8(a0)
	bmi.b	L1DA
	move.b	9(a0),42(a1)
L1DA:
	tst	10(a0)
	bmi.b	L1E6
	move.b	11(a0),44(a1)
L1E6:
	tst	12(a0)
	bmi.b	L1F2
	move.b	13(a0),38(a1)
L1F2:
	move.l	#$0,d0
	rte
;
;
L1FA:
	btst	d0,d1
	btst	d0,d1
	btst	d0,d1
	btst	d0,d1
	btst	d0,d1
	btst	d0,d1
	btst	d0,d1
	dc.b	$2,$2	;	dc.w	$202
L20A:
	btst	d0,d2
	dc.b	$4,$5	;	dc.w	$405
	dc.b	$8,$A	;	dc.w	$80A
	btst	d5,(a0)
	move.l	d0,a0
	bra.b	L196
L216:
	or.l	d7,16480(a7)
	move.l	2(a7),a0
	cmpi	#$F5DC,(a0)
	beq.b	L22A
L224:
	nop
	nop
	nop
L22A:
	move	(a7)+,d2
	move.l	(a7)+,a0
	move	(a0)+,d1
	btst	#0,d1
	bne.b	L250
	move	d2,SR
	move.l	a0,-(a7)
	cmp	#$F5DC,d1
	beq.b	L26E
	andi	#$FFF,d1
	move.l	#$0,a0
	move.l	0(a0,d1.w),a0
	jmp	(a0)
L250:
	andi	#$FFE,d1
	beq.b	L268
	lsl.w	#2,d1
	or	#$700,SR
	lea	L266(pc),a0
	move	d1,(a0)
	addq.l	#4,a7
	dc.b	'L',$DF	;	dc.w	$4CDF
L266:
	dc.b	$0,$0	;	dc.w	$0
L268:
	move	d2,SR
	unlk	a6
	rts
;
;
L26E:
	move.l	4(a7),a1
	move.l	a1,a2
L274:
	tst.b	(a1)+
	bne.b	L274
L278:
	move.b	-(a1),d0
	cmp.l	a2,a1
	bcs.b	L28A
	cmp.b	#92,d0
	beq.b	L28A
	cmp.b	#58,d0
	bne.b	L278
L28A:
	addq.l	#1,a1
	move.l	a1,d0
	rts

	end	;of file:	TOS14FIX.S
